# Uses of Interface
javax.naming.Context

Packages that use Context
Package
Description
javax.naming
Provides the classes and interfaces for accessing naming services.
javax.naming.directory
Extends the `javax.naming` package to provide functionality for accessing directory services.
javax.naming.event
Provides support for event notification when accessing naming and directory services.
javax.naming.ldap
Provides support for LDAPv3 extended operations and controls.
javax.naming.spi
Provides the means for dynamically plugging in support for accessing naming and directory services through the `javax.naming` and related packages.
javax.sql.rowset.spi
The standard classes and interfaces that a third party vendor has to use in its implementation of a synchronization provider.

## Uses of Context in javax.naming

Classes in javax.naming that implement Context
Modifier and Type
Class
Description
`class`
`InitialContext`
This class is the starting context for performing naming operations.
Fields in javax.naming declared as Context
Modifier and Type
Field
Description
`protected Context`
CannotProceedException.`altNameCtx`
Contains the context relative to which `altName` is specified.
`protected Context`
InitialContext.`defaultInitCtx`
Field holding the result of calling NamingManager.getInitialContext().
Methods in javax.naming that return Context
Modifier and Type
Method
Description
`Context`
Context.`createSubcontext​(String name)`
Creates and binds a new context.
`Context`
Context.`createSubcontext​(Name name)`
Creates and binds a new context.
`Context`
InitialContext.`createSubcontext​(String name)`
`Context`
InitialContext.`createSubcontext​(Name name)`
`Context`
CannotProceedException.`getAltNameCtx()`
Retrieves the `altNameCtx` field of this exception.
`protected Context`
InitialContext.`getDefaultInitCtx()`
Retrieves the initial context by calling `NamingManager.getInitialContext()` and cache it in defaultInitCtx.
`abstract Context`
ReferralException.`getReferralContext()`
Retrieves the context at which to continue the method.
`abstract Context`
ReferralException.`getReferralContext​(Hashtable<?,​?> env)`
Retrieves the context at which to continue the method using environment properties.
`protected Context`
InitialContext.`getURLOrDefaultInitCtx​(String name)`
Retrieves a context for resolving the string name `name`.
`protected Context`
InitialContext.`getURLOrDefaultInitCtx​(Name name)`
Retrieves a context for resolving `name`.
Methods in javax.naming with parameters of type Context
Modifier and Type
Method
Description
`void`
CannotProceedException.`setAltNameCtx​(Context altNameCtx)`
Sets the `altNameCtx` field of this exception.

## Uses of Context in javax.naming.directory

Subinterfaces of Context in javax.naming.directory
Modifier and Type
Interface
Description
`interface`
`DirContext`
The directory service interface, containing methods for examining and updating attributes associated with objects, and for searching the directory.
Classes in javax.naming.directory that implement Context
Modifier and Type
Class
Description
`class`
`InitialDirContext`
This class is the starting context for performing directory operations.

## Uses of Context in javax.naming.event

Subinterfaces of Context in javax.naming.event
Modifier and Type
Interface
Description
`interface`
`EventContext`
Contains methods for registering/deregistering listeners to be notified of events fired when objects named in a context changes.
`interface`
`EventDirContext`
Contains methods for registering listeners to be notified of events fired when objects named in a directory context changes.

## Uses of Context in javax.naming.ldap

Subinterfaces of Context in javax.naming.ldap
Modifier and Type
Interface
Description
`interface`
`LdapContext`
This interface represents a context in which you can perform operations with LDAPv3-style controls and perform LDAPv3-style extended operations.
Classes in javax.naming.ldap that implement Context
Modifier and Type
Class
Description
`class`
`InitialLdapContext`
This class is the starting context for performing LDAPv3-style extended operations and controls.
Methods in javax.naming.ldap that return Context
Modifier and Type
Method
Description
`abstract Context`
LdapReferralException.`getReferralContext()`
Retrieves the context at which to continue the method using the context's environment and no controls.
`abstract Context`
LdapReferralException.`getReferralContext​(Hashtable<?,​?> env)`
Retrieves the context at which to continue the method using environment properties and no controls.
`abstract Context`
LdapReferralException.`getReferralContext​(Hashtable<?,​?> env, Control[] reqCtls)`
Retrieves the context at which to continue the method using request controls and environment properties.
Methods in javax.naming.ldap with parameters of type Context
Modifier and Type
Method
Description
`static Control`
ControlFactory.`getControlInstance​(Control ctl, Context ctx, Hashtable<?,​?> env)`
Creates a control using known control factories.

## Uses of Context in javax.naming.spi

Methods in javax.naming.spi that return Context
Modifier and Type
Method
Description
`static Context`
NamingManager.`getContinuationContext​(CannotProceedException cpe)`
Creates a context in which to continue a context operation.
`Context`
InitialContextFactory.`getInitialContext​(Hashtable<?,​?> environment)`
Creates an Initial Context for beginning name resolution.
`static Context`
NamingManager.`getInitialContext​(Hashtable<?,​?> env)`
Creates an initial context using the specified environment properties.
`static Context`
NamingManager.`getURLContext​(String scheme, Hashtable<?,​?> environment)`
Creates a context for the given URL scheme id.
Methods in javax.naming.spi with parameters of type Context
Modifier and Type
Method
Description
`static Object`
DirectoryManager.`getObjectInstance​(Object refInfo, Name name, Context nameCtx, Hashtable<?,​?> environment, Attributes attrs)`
Creates an instance of an object for the specified object, attributes, and environment.
`Object`
DirObjectFactory.`getObjectInstance​(Object obj, Name name, Context nameCtx, Hashtable<?,​?> environment, Attributes attrs)`
Creates an object using the location or reference information, and attributes specified.
`static Object`
NamingManager.`getObjectInstance​(Object refInfo, Name name, Context nameCtx, Hashtable<?,​?> environment)`
Creates an instance of an object for the specified object and environment.
`Object`
ObjectFactory.`getObjectInstance​(Object obj, Name name, Context nameCtx, Hashtable<?,​?> environment)`
Creates an object using the location or reference information specified.
`static DirStateFactory.Result`
DirectoryManager.`getStateToBind​(Object obj, Name name, Context nameCtx, Hashtable<?,​?> environment, Attributes attrs)`
Retrieves the state of an object for binding when given the original object and its attributes.
`DirStateFactory.Result`
DirStateFactory.`getStateToBind​(Object obj, Name name, Context nameCtx, Hashtable<?,​?> environment, Attributes inAttrs)`
Retrieves the state of an object for binding given the object and attributes to be transformed.
`static Object`
NamingManager.`getStateToBind​(Object obj, Name name, Context nameCtx, Hashtable<?,​?> environment)`
Retrieves the state of an object for binding.
`Object`
StateFactory.`getStateToBind​(Object obj, Name name, Context nameCtx, Hashtable<?,​?> environment)`
Retrieves the state of an object for binding.
Method parameters in javax.naming.spi with type arguments of type Context
Modifier and Type
Method
Description
`ResolveResult`
Resolver.`resolveToClass​(String name, Class<? extends Context> contextType)`
Partially resolves a name.
`ResolveResult`
Resolver.`resolveToClass​(Name name, Class<? extends Context> contextType)`
Partially resolves a name.

## Uses of Context in javax.sql.rowset.spi

Methods in javax.sql.rowset.spi with parameters of type Context
Modifier and Type
Method
Description
`static void`
SyncFactory.`setJNDIContext​(Context ctx)`
Sets the initial JNDI context from which SyncProvider implementations can be retrieved from a JNDI namespace